import lume from "lume/mod.ts";
import date from "lume/plugins/date.ts";
import feed from "lume/plugins/feed.ts";
import nunjucks from "lume/plugins/nunjucks.ts";
import pagefind from "lume/plugins/pagefind.ts";
import sitemap from "lume/plugins/sitemap.ts";
import metas from "lume/plugins/metas.ts";

const site = lume({
    location: new URL("https://cheri.pink"),
    src: "src",
    dest: "public",
});

site.copy("media");
site.copy("resources", ".");
site.copy("robots.txt");

site.use(date());
site.use(feed({
    output: "/feed.rss",
    query: "type=post",
    info: {
        title: "=metas.site",
        description: "=metas.description",
    },
    items: {
        title: "=title",
    }
}));
site.use(nunjucks());
site.use(pagefind());
site.use(sitemap());
site.use(metas());

export default site;
